Skip to main content
`Ctrl`+`K`

# PetscObjectHasFunction

Query if a function is associated with a given object.

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectHasFunction(PetscObject obj, const char name[], PetscBool *has)

Logically Collective

## Input Parameters

- obj - the PETSc object

- name - name associated with the child function

## Output Parameter

- has - the boolean value

## See Also

`PetscObject`, `PetscObjectComposeFunction()`, `PetscObjectQueryFunction()`

## Level

advanced

## Location

src/sys/objects/inherit.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages